net_tstamp.h needs clockid_t to be defined, so must include
<sys/types.h> before including <linux/net_tstamp.h>


--- a/clock.c
+++ b/clock.c
@@ -17,6 +17,7 @@
  * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 #include <errno.h>
+#include <sys/types.h>
 #include <linux/net_tstamp.h>
 #include <poll.h>
 #include <stdlib.h>
--- a/hwstamp_ctl.c	2018-08-12 23:08:43.000000000 +0200
+++ b/hwstamp_ctl.c	2020-02-07 13:49:53.256859722 +0100
@@ -23,6 +23,7 @@
 #include <string.h>
 #include <sys/ioctl.h>
 #include <unistd.h>
+#include <sys/types.h>
 
 #include <arpa/inet.h>
 #include <linux/net_tstamp.h>
--- a/sk.c	2018-08-12 23:08:43.000000000 +0200
+++ b/sk.c	2020-02-07 13:50:12.334599236 +0100
@@ -18,6 +18,7 @@
  * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 #include <errno.h>
+#include <sys/types.h>
 #include <linux/net_tstamp.h>
 #include <linux/sockios.h>
 #include <linux/ethtool.h>
--- a/timemaster.c	2018-08-12 23:08:43.000000000 +0200
+++ b/timemaster.c	2020-02-07 13:50:19.848500949 +0100
@@ -22,7 +22,6 @@
 #include <errno.h>
 #include <libgen.h>
 #include <limits.h>
-#include <linux/net_tstamp.h>
 #include <net/if.h>
 #include <signal.h>
 #include <spawn.h>
@@ -34,6 +33,7 @@
 #include <sys/types.h>
 #include <sys/wait.h>
 #include <unistd.h>
+#include <linux/net_tstamp.h>
 
 #include "print.h"
 #include "rtnl.h"
